From: "alexander.heinisch via isar-users" <isar-users@googlegroups.com>
To: isar-users@googlegroups.com
Cc: jan.kiszka@siemens.com,
Alexander Heinisch <alexander.heinisch@siemens.com>
Subject: [PATCH] Fixing: Handling of unattended installers target overwrite mode.
Date: Thu, 31 Oct 2024 17:33:40 +0100 [thread overview]
Message-ID: <20241031163340.785408-1-alexander.heinisch@siemens.com> (raw)
From: Alexander Heinisch <alexander.heinisch@siemens.com>
This bug was introduced in 934fe3ef due to over-motivated search and replace.
Signed-off-by: Alexander Heinisch <alexander.heinisch@siemens.com>
---
.../deploy-image/files/usr/bin/deploy-image-wic.sh | 6 ++++--
1 file changed, 4 insertions(+), 2 deletions(-)
diff --git a/meta-isar/recipes-installer/deploy-image/files/usr/bin/deploy-image-wic.sh b/meta-isar/recipes-installer/deploy-image/files/usr/bin/deploy-image-wic.sh
index e6ee426d..91c0518b 100755
--- a/meta-isar/recipes-installer/deploy-image/files/usr/bin/deploy-image-wic.sh
+++ b/meta-isar/recipes-installer/deploy-image/files/usr/bin/deploy-image-wic.sh
@@ -130,9 +130,11 @@ if ! cmp /dev/zero "$installer_target_dev" -n 1M; then
--yesno "WARNING: Target device is not empty! Continue anyway?" 5 60; then
exit 0
else
- if [ "$installer_target_overwrite" != "installer_target_overwrite" ]; then
+ if [ "$installer_target_overwrite" != "OVERWRITE" ]; then
echo "Target device is not empty! -> Abort"
- echo "If you want to override existing data set \"installer_target_overwrite=installer_target_overwrite\""
+ echo "If you want to override existing data set \"installer.target.overwrite=OVERWRITE\" on your kernel cmdline or edit your \"auto.install\" file accordingly."
+
+ exit 1
fi
fi
fi
--
2.43.0
--
You received this message because you are subscribed to the Google Groups "isar-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to isar-users+unsubscribe@googlegroups.com.
To view this discussion visit https://groups.google.com/d/msgid/isar-users/20241031163340.785408-1-alexander.heinisch%40siemens.com.
next reply other threads:[~2024-10-31 16:34 UTC|newest]
Thread overview: 2+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-10-31 16:33 alexander.heinisch via isar-users [this message]
2024-11-06 12:33 ` Uladzimir Bely
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20241031163340.785408-1-alexander.heinisch@siemens.com \
--to=isar-users@googlegroups.com \
--cc=alexander.heinisch@siemens.com \
--cc=jan.kiszka@siemens.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox